/*
* Copyright (C) 2003-2007 Funambol
*
* This program is free software; you can redistribute it and/or modify
* it under the terms of the GNU General Public License as published by
* the Free Software Foundation; either version 2 of the License, or
* (at your option) any later version.
*
* This program is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
* GNU General Public License for more details.
*
* You should have received a copy of the GNU General Public License
* along with this program; if not, write to the Free Software
* Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/

// notes are not supported on smartphone

#pragma once
#include "afxwin.h"
#include "CustomButton.h"

// CNotesSettings dialog

class CNotesSettings : public CDialog
{
	DECLARE_DYNAMIC(CNotesSettings)

public:
	CNotesSettings(CWnd* pParent = NULL);   // standard constructor
	virtual ~CNotesSettings();

  #if defined(WIN32_PLATFORM_PSPC)
	// Dialog Data
	enum { IDD = IDD_UI_NOTES };
  #endif

protected:
    #if defined(WIN32_PLATFORM_PSPC)
        SHMENUBARINFO dlgCommandBar; 
        CComboBox lstSyncType;
    #endif

	CFont fontBold;
    CString folder;

	virtual BOOL OnInitDialog();
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support

	DECLARE_MESSAGE_MAP()
public:

    #if defined(_DEVICE_RESOLUTION_AWARE) && !defined(WIN32_PLATFORM_WFSP)
        afx_msg void OnSize(UINT /*nType*/, int /*cx*/, int /*cy*/);
    #endif

    afx_msg void OnOK();
    afx_msg void OnMenuFolder();
    //afx_msg void OnClickedNotesBrowse();
public:
    CCustomButton linkAdvanced;
    CCustomButton linkChoose;
    afx_msg void OnBnClickedNotesLinkAdvanced();
    afx_msg void OnBnClickedNotesLinkChoose();
};

//#endif